# Refund payment A refund operation may be total, this is the total amount of the payment will be restored, o may be a partial refund, the amount in the request will be restored. **POST** `/v1/advanced_payments/{advanced_payment_id}/refunds` ## Request parameters ### Path - `advanced_payment_id` (number, required) The payment, with id 'advanced_payment_id' to be confirmed. - `amount` (number, optional) If amount is 0 then this is a refund of the total advanced payments amounts, otherwise is a partial refund. ## Response parameters This endpoint has no response body. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | 400 | Bad-Request | | 500 | 500 | Error | ## Request example ### cURL ```bash curl -X POST \ 'https://api.mercadopago.com/v1/advanced_payments/{advanced_payment_id}/refunds' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' \ -d '{ "amount": 0 }' ``` ## Response example ```json [ { "id": "1009042015", "payment_id": "18552260055", "amount": "24.50", "source": { "name": "user_name", "id": "abcdef1e23f4567d8e9123eb6591ff68df74c57930551ed980239f4538a7e530" } } ] ```